import 'package:protontime/protontime.dart';

void main() {
  // Basic DateTime
  Duration fiveMin = Duration(days: 5); // 120:00:00.000000
  DateTime fiveMinAdd =
      DateTime.now().add(fiveMin); // 2024-03-02 03:00:05.270034
  DateTime fiveMinSub =
      DateTime.now().subtract(fiveMin); // 2024-02-21 03:00:05.277179

  final resultPast = Protontime.format(fiveMinSub); // 5 days ago
  final resultFuture = Protontime.format(fiveMinAdd); // 5 days from now

  print("Past Time: $resultPast");
  print('Future Time: $resultFuture');

  // Basic Timestamp
  DateTime timestamp = DateTime.parse("2024-01-01T00:00:00.000000Z");
  final resultTimestamp = Protontime.format(timestamp); // 5 days ago

  print("Timestamp Time: $resultTimestamp"); // 5 days ago

  // Short Messages
  final resultPastShort = Protontime.format(
    fiveMinSub,
    short: true,
  ); // 5d

  final resultFutureShort = Protontime.format(
    fiveMinAdd,
    short: true,
  ); // 5d

  print("Past Short Time: $resultPastShort");
  print('Future Short Time: $resultFutureShort');

  // Local Language
  final resultEsp = Protontime.format(
    fiveMinSub,
    language: 'es',
  ); //  hace 5 días

  final resultEspShort = Protontime.format(
    fiveMinAdd,
    language: 'es',
    short: true,
  ); //  5 días

  print("Local Lanugage: $resultEsp");
  print('Local Lanugage Short: $resultEspShort');
}
