import 'package:test/test.dart';
import 'package:protontime/protontime.dart';

void main() {
  group('Proton Test', () {
    group('Past Test', () {
      test(
        'Time less than a minute',
        () {
          expect(
              Protontime.format(DateTime.now().subtract(Duration(seconds: 30))),
              'a moment ago');
        },
      );

      test('Time less than an hour', () {
        expect(
            Protontime.format(DateTime.now().subtract(Duration(minutes: 45))),
            'about an hour ago');
      });

      test('Time less than a day', () {
        expect(Protontime.format(DateTime.now().subtract(Duration(hours: 20))),
            '20 hours ago');
      });

      test('Time less than a week', () {
        expect(Protontime.format(DateTime.now().subtract(Duration(days: 5))),
            '5 days ago');
      });

      test('Time less than a month', () {
        expect(Protontime.format(DateTime.now().subtract(Duration(days: 60))),
            '2 months ago');
      });

      test('Time more than a year', () {
        expect(Protontime.format(DateTime.now().subtract(Duration(days: 740))),
            '2 years ago');
      });
    });
    group('Future Test', () {
      test(
        'Time less than a minute',
        () {
          expect(Protontime.format(DateTime.now().add(Duration(seconds: 30))),
              'a moment from now');
        },
      );

      test('Time less than an hour', () {
        expect(Protontime.format(DateTime.now().add(Duration(minutes: 45))),
            'about an hour from now');
      });

      test('Time less than a day', () {
        expect(Protontime.format(DateTime.now().add(Duration(hours: 20))),
            '20 hours from now');
      });

      test('Time less than a week', () {
        expect(Protontime.format(DateTime.now().add(Duration(days: 5))),
            '5 days from now');
      });

      test('Time less than a month', () {
        expect(Protontime.format(DateTime.now().add(Duration(days: 60))),
            '2 months from now');
      });

      test('Time more than a year', () {
        expect(Protontime.format(DateTime.now().add(Duration(days: 740))),
            '2 years from now');
      });
    });
  });
}
